Subject: Re: Cihui input for Chinese Macintosh

From: [email-masked] (Ed Lai)
Date: 7 Oct 90 12:53:37 GMT

In article <[email-masked]> [email-masked] (Ed Lai) writes:
>I am releasing Cihui 1.8, a phrase input method for Macintosh traditional
>Chinese system 6.0x. Anyone interested please contact me by e-mail.
>

I have recieved quite a number of queries, but only very few who really can
use Cihui 1.8. So I need to make some clarification.

Cihui is not a Chinese WP, it is not a Chinese OS, rather it is an input method
to be used with Mac traditional Chinese OS 6.0x (by x I mean 3 or 4, and other
digits for future version, not that x is the version number). Which means that
you cannot use Cihui without having the right Chinese OS.

If you buy the Mac in the US, you get the English version of the OS, i.e. the
system file, finder etc. If you buy it in Taiwan, you would get the Chinese
version, this is the 6.0x that I am talking here. All the appropiate routines
have been modifed to handle Chinese. So if you run an application on top of the
Chinese OS, such as TeachText, HyperCard, ResEdit etc, you can use Chinese with
it. If you want to use a WP, however most WP does not work very well with 2
bytes codes (unless TeachText is good enough for you, then it should work 100%),
in most cases you can still used existing WP, but it would not function 100%
right, so whether you can use you favorite WP under the Chinese OS depends on
how much you are willing to tolerate. If you want a full function WP that works
100% with the Chinese OS, you need to find one that is script manager available.
Unfortunately thee are not that many such WP available, especially when you
are in the US. One that is available is the TurboWriter, which is probably
fairly basic, but is script manager compatiable and also have some Chinese
specific feature such as vertical editing/printing, and the inclusion of
ZhuYin sysmbols next to the character (including auto-generation). For more
information contact

TransPac Software
4340 Stevens Creek Blvd, Suite 203
San Jose, CA 95129
(408)984-8475.

To get the Chinese OS, the best way to get it is get it from one of the CD
that apple publishes. If you know any developer, then it is available from
several of the developer's CD. If you do not know any developer, you may
subscribe to a magazine called d e v e l o p, in every issue there is a CD-ROM
and in issue 3 (july 90) the CD has the Chinese systems. The subscription
price is $30 for four issues. Contact
 
d e v e l o p
Apple Computer Inc
P.O.Box 531
Mt. Morris, IL 61054
(800)545-9364
 
If you cannot borrow a CD drive to read the CD-ROM to get the files, you can
still get it from APDA, but it would be more expensive and you cannot get
version 6.0x.
 
There are also one or two companies that go through the usual trick of
licensing the Chinese OS, claiming it will be bundled with some application,
and then sell it (I don't think they even both to put in the "application",
which usually should be no better than TeachText). If anyone is so desperate
to order from them, I have to dig up the address.

I forget to say documentation on the Chinese OS is very difficult to get,
however except for the input method it is not difficult to guess. Cihui does
come with documentation, but it does assume familiarity with other input method,
maybe one day I should add a paragraph on what is common to all input method
to make the cihui documenation complete by itself.

If you are still interested and can actually use it, contact me and I shall
e-mail you a copy stuffed and binhexed (this is standard for the Mac, but this
implies you must know how to do it and have these utilites). Since I did not
mention it in the documention, I shall add here that to use Cihui just drop
the file into the system folder and reboot.

Finally because of the size of the OS and the font, you must have at least 2M
to run the Chinese OS, and Cihui would consume more memory, reducing the RAM
left for you to run your application.

>
>/* Disclaimer: All statments and opinions expressed are my own */
>/* Edmund K. Lai                                               */
>/* Apple Computer, MS37-UP                                     */
>/* 20525 Mariani Ave,                                          */
>/* Cupertino, CA 95014                                         */
>/* (408)974-6272                                               */
>zW@h9cOi
>